## DMS UIM Get PIN Status request DMS UIM Get PIN Status request |

## Functions

QmiMessageDmsUimGetPinStatusOutput * | qmi_message_dms_uim_get_pin_status_output_ref ()
void | qmi_message_dms_uim_get_pin_status_output_unref ()
gboolean | qmi_message_dms_uim_get_pin_status_output_get_pin2_status ()
gboolean | qmi_message_dms_uim_get_pin_status_output_get_pin1_status ()
gboolean | qmi_message_dms_uim_get_pin_status_output_get_result ()
void | qmi_client_dms_uim_get_pin_status ()
QmiMessageDmsUimGetPinStatusOutput * | qmi_client_dms_uim_get_pin_status_finish ()

## Types and Values

| QmiMessageDmsUimGetPinStatusOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsUimGetPinStatusOutput

## Description

## Functions

### qmi_message_dms_uim_get_pin_status_output_ref ()

    QmiMessageDmsUimGetPinStatusOutput *
    qmi_message_dms_uim_get_pin_status_output_ref
                                   (QmiMessageDmsUimGetPinStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimGetPinStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_uim_get_pin_status_output_unref ()

    void
    qmi_message_dms_uim_get_pin_status_output_unref
                                   (QmiMessageDmsUimGetPinStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimGetPinStatusOutput. |

Since: 1.0

### qmi_message_dms_uim_get_pin_status_output_get_pin2_status ()

    gboolean
    qmi_message_dms_uim_get_pin_status_output_get_pin2_status
                                   (QmiMessageDmsUimGetPinStatusOutput *self,
                                    QmiDmsUimPinStatus *value_pin2_status_current_status,
                                    guint8 *value_pin2_status_verify_retries_left,
                                    guint8 *value_pin2_status_unblock_retries_left,
                                    GError **error);

Get the 'PIN2 Status' field from `self` .

#### Parameters

self | a QmiMessageDmsUimGetPinStatusOutput. |
value_pin2_status_current_status | a placeholder for the output QmiDmsUimPinStatus, or `NULL` if not required. | [out][optional]
value_pin2_status_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_pin2_status_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_uim_get_pin_status_output_get_pin1_status ()

    gboolean
    qmi_message_dms_uim_get_pin_status_output_get_pin1_status
                                   (QmiMessageDmsUimGetPinStatusOutput *self,
                                    QmiDmsUimPinStatus *value_pin1_status_current_status,
                                    guint8 *value_pin1_status_verify_retries_left,
                                    guint8 *value_pin1_status_unblock_retries_left,
                                    GError **error);

Get the 'PIN1 Status' field from `self` .

#### Parameters

self | a QmiMessageDmsUimGetPinStatusOutput. |
value_pin1_status_current_status | a placeholder for the output QmiDmsUimPinStatus, or `NULL` if not required. | [out][optional]
value_pin1_status_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_pin1_status_unblock_retries_left | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_uim_get_pin_status_output_get_result ()

    gboolean
    qmi_message_dms_uim_get_pin_status_output_get_result
                                   (QmiMessageDmsUimGetPinStatusOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsUimGetPinStatusOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_client_dms_uim_get_pin_status ()

    void
    qmi_client_dms_uim_get_pin_status (QmiClientDms *self,
                                       gpointer unused,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a UIM Get PIN Status request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_uim_get_pin_status_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_uim_get_pin_status_finish ()

    QmiMessageDmsUimGetPinStatusOutput *
    qmi_client_dms_uim_get_pin_status_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_uim_get_pin_status()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_uim_get_pin_status()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsUimGetPinStatusOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_uim_get_pin_status_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsUimGetPinStatusOutput

    typedef struct _QmiMessageDmsUimGetPinStatusOutput QmiMessageDmsUimGetPinStatusOutput;

The QmiMessageDmsUimGetPinStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0